> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Banks

> Get supported banks for transfers

## Request

<ParamField header="x-api-key" type="string" required>
  API Key for authentication
</ParamField>

### Request Example

```bash theme={null}
curl -X GET https://api-production.fossapay.com/api/v1/transfers/fiat/banks \
  -H "x-api-key: your_api_key_here"
```

```javascript theme={null}
const response = await fetch('https://api-production.fossapay.com/api/v1/transfers/fiat/banks', {
  method: 'GET',
  headers: {
    'x-api-key': 'your_api_key_here',
    'Content-Type': 'application/json'
  }
});

if (!response.ok) {
  throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}

const banks = await response.json();
```

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": true,
    "statusCode": 200,
    "message": "Supported banks retrieved successfully",
    "data": [
      {
        "bankname": "9 payment service Bank",
        "bankcode": "120001"
      },
      {
        "bankname": "AB MICROFINANCE BANK",
        "bankcode": "090270"
      },
      {
        "bankname": "ABBEY MORTGAGE BANK",
        "bankcode": "090304"
      },
      {
        "bankname": "ACCESS BANK",
        "bankcode": "044"
      },
      {
        "bankname": "ACCESS BANK (DIAMOND)",
        "bankcode": "063"
      }
    ]
  }
  ```
</ResponseExample>

<ResponseExample>
  ```json Error Response (400) theme={null}
  {
    "status": false,
    "statusCode": 400,
    "message": "Bad request",
    "error": "Invalid API key"
  }
  ```
</ResponseExample>

<ResponseExample>
  ```json Error Response (500) theme={null}
  {
    "status": false,
    "statusCode": 500,
    "message": "Internal server error",
    "error": "Failed to retrieve supported banks"
  }
  ```
</ResponseExample>
